Page MenuHomePhabricator

Implement (tree) subtasks, as distinct from (graph) task dependencies
Closed, ResolvedPublic

Tokens
"Love" token, awarded by tomekj2ee."Party Time" token, awarded by jdforrester."Mountain of Wealth" token, awarded by d.maznekov."Mountain of Wealth" token, awarded by chad."Like" token, awarded by Sam2304."Love" token, awarded by spiridon-alexandru."Like" token, awarded by ralph.van.etten."Like" token, awarded by sinayion."Like" token, awarded by frans.kasper."Love" token, awarded by tycho.tatitscheff."Like" token, awarded by quiddity."Like" token, awarded by inder.kumar.rathore."Like" token, awarded by xujinzheng."Like" token, awarded by adinnaplus."Like" token, awarded by theunreplicated."Like" token, awarded by allan.laal.
Assigned To
Authored By
rmcdonough, Dec 5 2013

Description

This is a very minor point, but would go a long way to actually help adoption from Jira-expatriates such as me. Subtasks are currently viewed inline with other tasks on both the home page and the Maniphest page, like so:

<subtask>
<task>
<task>
<subtask>
<task>

However having the option of grouping subtasks along with their parent like this would be of benefit:

<task>
<task>
    <subtask>
        <subsubtask>
    <subtask>
<task>

This need not be a global change, merely an option that can be enabled.


P1094 has a five minute hack which adds a very, very rough graph view field when dropped into phabricator/src/extensions/

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

How about keep the current one level display, but use tags to indicate the relationship of a task to others.

e.g. if task X has parents A, B and C and dependents of Y, we'd have to render something like:

TX This is an example
< Project tag> <Parent tag : A, B, C> <Depedents: Y>

and just get into the 2nd level, not deeper than 2.

timor added a subscriber: timor.Aug 5 2014, 8:10 AM

Not having a hierarchical view of tasks belonging to parent tasks is really getting in the way. And I think everyone expects a hierarchical task organization, so ditching multiple parents would be a much better compromise for us to get what we need here. In the absence of that, I'm going to try to get us to something taht works better. I'm relatively new to Dropbox and have used lots of other task management tools in the past that work much better in this way. So I am going to try to move everyone to something else. I wish that Maniphest did this for us.

chad added a subscriber: zeeg.Nov 7 2014, 7:09 PM

You may want to talk to @zeeg at Dropbox regarding Phabricator.

epriestley added a comment.EditedNov 7 2014, 7:15 PM

@anne I'm not sure how you meant it, but your comment comes across as sort of weirdly passive-aggressive. By all means, if Maniphest isn't working for you, we encourage you to look at other options.

We understand that this feature would be helpful, but we don't currently believe this is the most important thing we could be working on. There isn't a huge amount of active interest in it, and you can already create hierarchical relationships (just not view them when more than one level deep). There's also a rough approach to getting a deep view earlier in this task, too (T4207#52492). Of course these approaches aren't as nice as real tree support, but we don't believe there's a huge gap between what you can do today and what first-class support will eventually look like.

This request is competing with many, many other feature requests (including some from your coworkers at Dropbox) for priority. You can find more information about feature requests and priorities here:

https://secure.phabricator.com/book/phabcontrib/article/feature_requests/

If closing the gap between what's available today and a full implementation of this feature is absolutely make-or-break for your use case, you're probably correct to look at alternatives. We generally prioritize features which have a significant impact on many users, and very few users have use cases where this is mandatory functionality which prevents use of the tool.

auduny added a subscriber: auduny.Nov 28 2014, 1:30 PM

I have installed P1094 on our installation and it's more or less exactly what I want. The only major improvement for me would be to have something similar in the project/tag-view. Showing the same dependience-tree for all tickets in that tag. Not sure if that's doable. The untill-then-fix is to have a "mother-of-all-tickets"-ticket per tag which has all other tickets as childtickets.

Just adding my vote to increase the priority for this feature.

For us subtasks are a big deal because they help non-devs with project tracking and sorting out info.
Actually, if we were able to display the tree of tasks we could do user stories / sprints / tasks very easily and that'll make phabricator A very easy decision

adinnaplus added a subscriber: adinnaplus.

Added my vote to increase the priority for this feature. Thanks.

eadler added a subscriber: eadler.Apr 30 2015, 3:46 AM
Krinkle added a subscriber: Krinkle.Jun 2 2015, 3:09 PM
chad removed a project: Design.Jul 16 2015, 3:09 PM
srijan added a subscriber: srijan.Jul 19 2015, 11:59 AM

In case anyone might find it useful I put up P1828. It's my first libphutil script so it's a bit messy and you have to hardcode some of your specific server and user info but so it goes. It generates remarkup-ready dot code with a graph of the specified project's ticket dependencies.

fanis added a subscriber: fanis.Aug 26 2015, 12:10 PM

Having a tree view is much needed thing. It sucks when all the tasks/subtasks are on the same level on a board. Would be nice if these are in tree view.
Thanks

qgil removed a subscriber: qgil.Sep 23 2015, 1:44 PM
amusso updated the task description. (Show Details)Oct 8 2015, 10:55 AM
amusso added a subscriber: amusso.

Slightly adjusted task detail:

  • use non breaking space for indentation
  • reference P1094 quick hack and the related screenshot

In case anyone might find it useful I put up P1828. It's my first libphutil script so it's a bit messy and you have to hardcode some of your specific server and user info but so it goes. It generates remarkup-ready dot code with a graph of the specified project's ticket dependencies.

How can we use that?
Where to put that file and how to call it within web interface of Phab.

In case anyone might find it useful I put up P1828. It's my first libphutil script so it's a bit messy and you have to hardcode some of your specific server and user info but so it goes. It generates remarkup-ready dot code with a graph of the specified project's ticket dependencies.

How can we use that?
Where to put that file and how to call it within web interface of Phab.

Sorry to disappoint but I never integrated it into Phabricator. At this point it just runs locally and then you can copy/paste the output into a ticket/wiki/whatever to get it rendered. Also, I don't think the hyperlinks ever worked.

Definitely want to weigh in, and say that this is a vastly important feature for myself. Having the tree view in other bug trackers is helpful for planning, triaging, and almost every aspect of software development.

I agree with a previous commenter about how this impacts the usability of Workboards. I'll do a quick check to see if I can make a query to do this, but I would expect parent tasks to be the most visible items, and then show the subtasks as a tree view, or not at all.

fanis added a comment.Nov 18 2015, 3:57 PM

After a few months of using P1094, we have found it invaluable in getting an overview of big and deep tasks. It is sufficient for our needs, we're happy with it continuing to work locally.

Sam2304 added a subscriber: Sam2304.
epriestley closed this task as Resolved.Jul 1 2016, 8:01 PM
epriestley claimed this task.

We now render dependency graphs, as on this task:

This may or may not stick, see T4788 for followups.

chad awarded a token.Jul 1 2016, 8:06 PM
saga.karlsson added a subscriber: saga.karlsson.EditedJul 12 2017, 7:37 AM

Does this also include the functionality to specify what subtype to be used when you click "Create subtask", or is this just the visual element?

I think that adding the possibility to specify that subtasks of "User stories" subtype should create "Subtasks" subtype as default would be a great improvement. Not sure if you have that in your pipeline already?

urzds added a subscriber: urzds.Jul 12 2017, 11:15 AM